Splunk IT Service Intelligence

Splunk ITSI 2.2.0 integration to Remedy 7.6.04

Builder

Hello Splunkers,

So we're required to integrate our Splunk ITSI to Remedy and read some documentations that it is supported but with version compatibility.

Splunk Add-on for BMC Remedy
Splunk ITSI integration to Remedy

Our Splunk ITSI version is 2.2.0 and our Remedy version is 7.6.04

Tried looking for earlier version/s of BMC Remedy Add-on but it seems like only 2.0.0 was released.

Question:
Is there a way to integrate our Splunk ITSI to this version of Remedy?

Much Appreciated!

0 Karma
1 Solution

Splunk Employee
Splunk Employee

Hi,

The Remedy integration feature is available in ITSI version 2.4.0 and later. See http://docs.splunk.com/Documentation/ITSI/2.4.0/User/Setupandrunnotableeventactions#Create_tickets_i...

You must have BMC Remedy version 9.1 or later and install the Splunk Add-on for Remedy version 2.0.0 to enable this functionality.

Splunk docs are version specific. The version of ITSI doc you referenced above that discussed Remedy integration is for 2.5.2.

View solution in original post

Splunk Employee
Splunk Employee

Hi,

The Remedy integration feature is available in ITSI version 2.4.0 and later. See http://docs.splunk.com/Documentation/ITSI/2.4.0/User/Setupandrunnotableeventactions#Create_tickets_i...

You must have BMC Remedy version 9.1 or later and install the Splunk Add-on for Remedy version 2.0.0 to enable this functionality.

Splunk docs are version specific. The version of ITSI doc you referenced above that discussed Remedy integration is for 2.5.2.

View solution in original post

Builder

Hello hjauch, thank you for your reply.

So I found this Release history for the Splunk Add-on for BMC Remedy

It seems that version 1.0.0 supports Remedy version 7.6.04.
Searched some answers regarding downloading older releases of splunk apps and my best bet is to contact Splunk to request for the older version.

Upon upgrading our Splunk ITSI to 2.4.0, would you recommend us in using the Remedy Add-on 1.0.0 since upgrading our Remedy to version 9.1 is not an option?

Much appreciated!

0 Karma

Splunk Employee
Splunk Employee

Hi, I just posted a reply to your comment but I don't see it so sorry if you see a comment from me twice.

Only the latest version of add-ons are supported, which is why you can only download v 2.0.0 (the latest version) of the Remedy add-on from Splunkbase and why you can only find v 2.0.0 of the doc.

Only version 2.0.0 of the Remedy add-on contains support for integration with ITSI notable events. So getting the earlier version will not do you any good. As stated in the requirements in the doc, only Remedy v. 9.1 and later is supported.

0 Karma

Builder

Thank you hjauch!

Your reply clears everything.

0 Karma

Splunk Employee
Splunk Employee

Yes, there was a prior release of the Remedy add-on, version 1.0.0, but three things:

  1. Only the latest release of an add-on is supported which is why 2.0.0 is the only version of the doc you can find for the Remedy add-on and which is why it is the only version of the add-on that can be downloaded from Splunkbase.
  2. My understanding is v. 1.0.0 of the add-on does not support Remedy integration with ITSI. Only version 2.0.0 of the add-on has support for integration with ITSI notable events so that you can create a Remedy ticket from an ITSI notable event.
  3. As I stated before (and as stated in the doc) integration is not supported for Remedy versions prior to 9.1.